// calculate min max grid item size for a maximum of columns
// https://css-tricks.com/an-auto-filling-css-grid-with-max-columns/
@mixin create-variable-grid($min-item-width, $gap, $max-columns: 1, $total-width: 100%) {
  $gap-count: calc(#{$max-columns} - 1);
  $total-gap-width: calc(#{$gap-count} * #{$gap});
  $grid-item-max-width: calc((#{$total-width} - #{$total-gap-width}) / #{$max-columns});

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(max($min-item-width, $grid-item-max-width), 1fr));
  gap: $gap;
}
